export declare class MagickColor {
    private _r;
    private _g;
    private _b;
    private _a;
    private _k;
    private _isCmyk;
    constructor(color?: string);
    constructor(r: number, g: number, b: number);
    constructor(r: number, g: number, b: number, a: number);
    constructor(c: number, m: number, y: number, k: number, a: number);
    get r(): number;
    set r(value: number);
    get g(): number;
    set g(value: number);
    get b(): number;
    set b(value: number);
    get a(): number;
    set a(value: number);
    get k(): number;
    set k(value: number);
    get isCmyk(): boolean;
    toShortString(): string;
    toString(): string;
    private initialize;
    private toHex;
}
